GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
tsi_ssl_handshaker_factory Struct Reference

## Data Fields
tsi_result(* | create_handshaker )(tsi_ssl_handshaker_factory *self, const char *server_name_indication, tsi_handshaker **handshaker)
void(* | destroy )(tsi_ssl_handshaker_factory *self)

## Field Documentation

tsi_result(* tsi_ssl_handshaker_factory::create_handshaker)(tsi_ssl_handshaker_factory *self, const char *server_name_indication, tsi_handshaker **handshaker)

void(* tsi_ssl_handshaker_factory::destroy)(tsi_ssl_handshaker_factory *self)

The documentation for this struct was generated from the following file:

- src/core/tsi/ssl_transport_security.c